## List zone snippets `client.Snippets.List(ctx, params) (*V4PagePaginationArray[SnippetListResponse], error)` **get** `/zones/{zone_id}/snippets` Fetches all snippets belonging to the zone. ### Parameters - `params SnippetListParams` - `ZoneID param.Field[string]` Path param: Use this field to specify the unique ID of the zone. - `Page param.Field[int64]` Query param: Specifies the current page number. - `PerPage param.Field[int64]` Query param: Specifies how many results to return per page. ### Returns - `type SnippetListResponse struct{…}` Define a snippet. - `CreatedOn Time` Indicates when the snippet was created. - `SnippetName string` Identify the snippet. - `ModifiedOn Time` Indicates when the snippet was last modified. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/snippets" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.Snippets.List(context.TODO(), snippets.SnippetListParams{ ZoneID: cloudflare.F("9f1839b6152d298aca64c4e906b6d074"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "message": "something bad happened", "code": 10000 } ], "messages": [ { "message": "something bad happened", "code": 10000 } ], "result": [ { "created_on": "2000-01-01T00:00:00.000000Z", "snippet_name": "my_snippet", "modified_on": "2000-01-01T00:00:00.000000Z" } ], "success": true, "result_info": { "count": 25, "page": 1, "per_page": 25, "total_count": 100, "total_pages": 10 } } ```